- libbson 1.13.1 »
- API Reference »
- bson_iter_t

# bson_iter_overwrite_oid()

## Synopsis

    void
    bson_iter_overwrite_oid (bson_iter_t *iter, const bson_oid_t *value);

## Parameters

- `iter`: A bson_iter_t.
- `oid`: A bson_oid_t.

## Description

The `bson_iter_overwrite_oid()` function shall overwrite the contents of a BSON_TYPE_OID element in place.

This may only be done when the underlying bson document allows mutation.

It is a programming error to call this function when `iter` is not observing an element of type BSON_TYPE_OID.

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.